/*
	mheap.c

	Copyright (c) 1996, 1997, by Global Constructs.  All Rights Reserved.

	last modified 10/17/97
*/
#include "common.h"
#include "memlib.h"

void mheapsize(int32 heapsize)
{
	if (heapsize <= 0L)
		heapsize = DEFAULT_MHEAP;
	else if (heapsize < sizeof(memList))
		heapsize = sizeof(memList);

	if ((heapsize % sizeof(memList *)) > 0)
		/* round to next closest whole pointer boundary size */
		gcmemheap = ((heapsize / sizeof(memList *)) + 1) * sizeof(memList *);
	else
		gcmemheap = heapsize;
}

