/*
	msetsize.c

	Version 1.03
	Copyright (c) 1996, 1997, by Global Constructs.  All Rights Reserved.

	last modified 10/17/97
*/
#include "common.h"
#include "memlib.h"

int16 msetsize(int16 handle, register int32 maxsize)
{
	register fileHandle *hptr;

	hptr = getfilehandle(handle);
	if (hptr == NULL) {
		errmem = badFileHandle;
		return (-1);
	}
	if (maxsize < 0) {
		errmem = invalidParameter;
		return (-1);
	}
	if (maxsize) {
		hptr->maxfilesize = maxsize;
	} else
		hptr->maxfilesize = 0;
	return 0;
}


