/*
    mstat.c

    Copyright (c) 1996, by Global Constructs.  All Rights Reserved.

    last modified 12/24/96
*/
#include "common.h"
#include STAT_H
#include STRINGS_H
#include "memlib.h"

int16 mstat( const char *path, struct stat *buf )
{
	fileList *ptr;

	ptr = getfilefrompath(path);
	if (ptr == NULL) {
		errmem = fileDoesNotExist;
		return (-1);
	}
	if (buf == NULL) {
		errmem = invalidBufferPtr;
		return (-1);
	}
	memset(buf, 0, sizeof(struct stat));	/* clear statistical buffer */
	buf->st_nlink = ptr->numsegments;
	buf->st_size = ptr->filesize;
	return 0;
}


