/*
	dos.h
	Copyright (c) 1996, 1997, by Global Constructs.  All Rights Reserved.

	last modified 10/17/97
*/

/* C problems */

#define EMPTY_ARRAY

/* Set up variable headers */

#define STAT_H		<sys/stat.h>
#ifdef __BORLANDC__
#	define STD_H	<stdio.h>	/* unistd.h is not in Borland C 4.02 */
#else
#	define STD_H	<unistd.h>
#endif
#define IO_H		<io.h>
#define FCNTL_H		<fcntl.h>
#define MIN_H		<stdlib.h>
#define TYPES_H		<sys/types.h>

#if defined( __TURBOC__ )
#define DIRECT_H	<dir.h>
#elif defined( __WATCOMC__ )
#define DIRECT_H	<direct.h>
#endif

#define LIMITS_H	<limits.h>
#define STRINGS_H	<string.h>
#define MALLOC_H	<stdlib.h>

#define NETDB_H
#define INET_H
#define TIME_H
#define SOCKET_H
#define IN_H

#include TYPES_H
#ifndef off_t
typedef long off_t;
#endif

/* Make sure integers are the right size */
typedef signed long			int32;
typedef unsigned long		int32u;
typedef signed short		int16;
typedef unsigned short		int16u;
typedef unsigned char		int8u;
typedef signed char			int8;

typedef float				float32;
typedef double				float64;
typedef long double			float128;

/* Make sure maximum and minimum macros agree */
#include LIMITS_H

#define INT32_MAX	LONG_MAX
#define INT32_MIN	LONG_MIN
#define INT32U_MAX	ULONG_MAX
#define INT16_MAX	SHRT_MAX
#define INT16_MIN	SHRT_MIN
#define INT16U_MAX	USHRT_MAX
#define BYTE_MAX	SCHAR_MAX
#define BYTE_MIN	SCHAR_MIN
#define INT8U_MAX	UCHAR_MAX

/* File path variations */

#define DIR_SEPARATER		"\\"
#define DIR_SEPARATER_CHAR	'\\'

/* locally emulated routines */

#define bcopy(a,b,c)	memcpy(b,a,c)

int ftruncate(int, off_t);

#define LOCK_SH 1
#define LOCK_EX	2
#define LOCK_NB	4
#define LOCK_UN	8

/* Only special stuff below this line */


