/*
	mac.h

	Copyright (c) 1995, 1996 by Global Constructs.  All Rights Reserved.

	last modified 10/17/97
*/

/* Set up variable headers */

#define STAT_H		<unix.h>
#define IO_H		<unix.h>
#define TYPES_H		<types.h>
#define DIRECT_H	<direct.h>
#define LIMITS_H	<limits.h>
#define STRINGS_H	<string.h>

/* Make sure integers are the right size */

typedef signed long			int32;
typedef unsigned long		int32u;
typedef signed short		int16;
typedef unsigned short		int16u;
typedef unsigned char		int8u;
typedef signed char			byte;

typedef float				float32;
typedef double				float64;
typedef long double			float128;

/* Make sure maximum and minimum macros agree */
#include LIMITS_H

#define INT32_MAX	LONG_MAX
#define INT32_MIN	LONG_MIN
#define INT32U_MAX	ULONG_MAX
#define INT16_MAX	SHRT_MAX
#define INT16_MIN	SHRT_MIN
#define INT16U_MAX	USHRT_MAX
#define BYTE_MAX	SCHAR_MAX
#define BYTE_MIN	SCHAR_MIN
#define INT8U_MAX 	UCHAR_MAX

/* File path variations */

#define DIR_SEPERATER		":"
#define DIR_SEPARATER_CHAR	':'

/* localy emulated routines */

/* Only special stuff below this line */

