/*
    minfo.c

    Copyright (c) 1996, by Global Constructs.  All Rights Reserved.

    last modified 12/24/96
*/
#include <stdlib.h>
#include "memlib.h"

fileInfo *minfo(int16 handle)
{
	fileHandle *hptr;
	fileInfo *iptr;

	hptr = getfilehandle(handle);
	if (hptr == NULL) {
		errmem = badFileHandle;
		return NULL;
	}
	iptr = calloc(1, sizeof(fileInfo));
	if (iptr == NULL) {
		errmem = outOfMemory;
		return NULL;
	}
	iptr->filesize = hptr->file->filesize;
	iptr->maxfilesize = hptr->maxfilesize;
	iptr->filemode = hptr->file->filemode;
	iptr->syncrate = hptr->file->syncrate;
	iptr->synccount = hptr->file->synczero;
	iptr->totalclusters = hptr->file->clustersize;
	iptr->numsegments = hptr->file->numsegments;
	return iptr;
}


