/*
    msync.c

    Copyright (c) 1996, 1997, by Global Constructs.  All Rights Reserved.

	last modified 1/18/97
*/
#include "common.h"
#include STD_H
#include IO_H
#include "memlib.h"

int16 msync(int16 handle, int16u num)
{
    fileHandle *hptr;

    hptr = getfilehandle(handle);
    if (hptr == NULL) {
        errmem = badFileHandle;
        return (-1);
    }
    if (num) {
        hptr->file->syncrate = num;
        if (hptr->file->synczero > num)
            hptr->file->synczero = num;
    } else {
        hptr->file->syncrate = hptr->file->synczero = 0;
        close((int)hptr->file->synchandle);
        hptr->file->synchandle = 0;
        hptr->file->filemode &= ~M_ISYNC;
    }
    return 0;
}


